Package de.tudresden.sumo.objects

## Class SumoLink

- java.lang.Object
- - de.tudresden.sumo.objects.SumoLink

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoLink`

      public class SumoLink
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `direction` |
    `String` | `from` |
    `byte` | `hasApproachingFoe` |
    `byte` | `hasPriority` |
    `String` | `internalLane` |
    `byte` | `isOpen` |
    `double` | `length` |
    `String` | `notInternalLane` |
    `String` | `over` |
    `String` | `state` |
    `String` | `to` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoLink​(String notInternal, String internal, byte priority, byte isOpen, byte hasFoe, double length, String state, String direction)` |
    `SumoLink​(String from, String to, String over)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### from

          public String from

    - #### to

          public String to

    - #### over

          public String over

    - #### notInternalLane

          public String notInternalLane

    - #### internalLane

          public String internalLane

    - #### state

          public String state

    - #### direction

          public String direction

    - #### hasPriority

          public byte hasPriority

    - #### isOpen

          public byte isOpen

    - #### hasApproachingFoe

          public byte hasApproachingFoe

    - #### length

          public double length

  - ### Constructor Detail

    - #### SumoLink

          public SumoLink​(String from,
                          String to,
                          String over)

    - #### SumoLink

          public SumoLink​(String notInternal,
                          String internal,
                          byte priority,
                          byte isOpen,
                          byte hasFoe,
                          double length,
                          String state,
                          String direction)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`